Subject: Re: Netgame

From: Motley Athelstane <[email-masked]>
Date: Mon, 8 Jun 92 23:17:07 MDT

> 
> G'day! I just got your post about your MUSH and I'm _VERY_ interested.
> I've been thinking along similar lines for some months now but unfortunately
> I don't have a machine I can _LEGALLY_ run a MUD on. ;-)
> 
> I just have a few questions:
>
> What platforms can/will the clients run on? I was going to use the REND386
>libraries for my client but that's only because I no nothing about 3D graphics
> programming on PC's. *grin*
I am currently doing this in X windows. I think Bernie Roehl is interested
in using REND386 for this as well. (Heck, if I had a 386, I'd be DONE by
now! :)
> 
>How will the world database be built? Manually entering in the information for
> descriptions, etc would be too tedious and difficult to learn. I've been 
> thinking about a world description language or even a graphical "tool" in
> which you can add, delete, move and rotate objects in a similar way as you
> would using a CAD package. Once you had decided on the "look" of what you
> have created, the client would then transmit the necessary commands to @dig
> rooms, @link exits, and @desc objects.
As for now, manual data entry how I'm doing it. I want to get the client
up and running before I work on a builder.
> 
>How would the user "move" within the world? That is, would the user be able to
> move around the scene on the screen even if he doesn't go through an exit?
> How will his movement be shown to other users in the same scene? Transmitting
> each movement would probably generate a lot of net trafic. Perhaps a similar
> system, like the ones they have in the Sierra games, where you use the mouse
> to click on the part of the scene you wish to travel to and the computer
> moves the character for you. That way you would only need to transmit the
>destination coordinates to everybody and their local machines can animate your
>character walking to the new position, while locally on your machine you would
> see your view change as you walked.
Well, as it is now, a series of
!myname.base loc XxYxZ 's would have to be sent. Kinda oogy. Ideally,
there would be a 'tween'ing macro. On the after-1.0 list of things to do. :)
> 
> 
> I'm sorry if you've discussed these things before. I've only just joined the
> list. In fact, your post was the first I've seen. *grin*
>If you want, I could post this to the list if you think it will stimulate some
> action. *smirk*
I decided to Cc netgame in my answer. (Obviously.) Hope that's ok.
> 
> BTW, could I have a character on your MUSH so I can have a look around?
> 
Sure, I'll send it in a different message.
> Shane McEwan
> [email-masked]
Note about the MUSH: It is completely bare-bones. Not a whole lot to look
at right now. But it's open to people who want to use it to try out
clients/protocols/ideas.
-- 
[email-masked]